#include <bits/stdc++.h>
using namespace std;
int a, b, x, y;
int main(){
    cin >> a >> b >> x >> y;
    if(a!=x and b==y){
        cout<<"prvi";
    }
    if(a==x and b!=y){
        cout<<"drugi";
    }
    if(a==x and b==y){
        cout<<"nijedan";
    }
    if(a!=x and b!=y){
        cout<<"?";
    }


    return 0;
}